commit:     09d1cf027a7c16bd3f8f9faa8ae82a6d08f2fff7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 12 05:45:23 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 12 06:37:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09d1cf02

games-emulation/m64py: Bump to 0.2.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-emulation/m64py/Manifest           |  1 +
 games-emulation/m64py/m64py-0.2.5.ebuild | 48 ++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/games-emulation/m64py/Manifest b/games-emulation/m64py/Manifest
index abb62a5aaa2..778cdc46eee 100644
--- a/games-emulation/m64py/Manifest
+++ b/games-emulation/m64py/Manifest
@@ -1 +1,2 @@
 DIST m64py-0.2.4.tar.gz 209621 BLAKE2B 
05fe7044ec096767ae1eb57aad9f326b157d67ea709ca0bb74cdd68ae16a23eb662a2842bef5e038d1b29cbf0a5252669ff54268d1227390f47e8c9029b63e6a
 SHA512 
ab78565466c6dcfe604cdc00b7e63dee2f0f33514dbf4f9115af646b1f6562042516513d054bd5cb489ad89c9d30431e9ce531f8b27925ecb9c6f7b509836348
+DIST m64py-0.2.5.tar.gz 201868 BLAKE2B 
95cbfe58ae2741caac5e05bcc06af563ee398d2916d07902ba4aaf4213277eea3c6219448db5958e0a2d0ea8ea3f65c88e63cfd2938a8b4ed33231ba57ae724f
 SHA512 
338f5e96dc4657ba2230c32a40cf0e85c5efcccaa0d5fdbe4b4dcef020b910f5d2d88e5c224f8b496ec0378051aaf44358a0438de52fb03b4ece353f55abc61c

diff --git a/games-emulation/m64py/m64py-0.2.5.ebuild 
b/games-emulation/m64py/m64py-0.2.5.ebuild
new file mode 100644
index 00000000000..be315cbc154
--- /dev/null
+++ b/games-emulation/m64py/m64py-0.2.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="A frontend for Mupen64Plus"
+HOMEPAGE="http://m64py.sourceforge.net/";
+SRC_URI="https://downloads.sourceforge.net/project/m64py/${P}/${P}.tar.gz";
+
+LICENSE="GPL-3 LGPL-3 public-domain GPL-2 BSD CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="7z rar"
+
+RDEPEND="
+       dev-python/PyQt5[gui,opengl,widgets,${PYTHON_USEDEP}]
+       dev-python/PySDL2[${PYTHON_USEDEP}]
+       media-libs/libsdl2[joystick,video]
+       >=games-emulation/mupen64plus-core-2.5:0/2-sdl2
+       7z? ( app-arch/p7zip )
+       rar? (
+               || (
+                       dev-python/rarfile[${PYTHON_USEDEP}]
+                       app-arch/unrar
+                       app-arch/rar
+               )
+       )"
+
+python_prepare_all() {
+       # set the correct search path
+       cat >> src/m64py/platform.py <<-_EOF_ || die
+               SEARCH_DIRS = ["/usr/$(get_libdir)/mupen64plus"]
+       _EOF_
+
+       distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+}

Reply via email to